Name:           osmo-bsc
Version:        1.13.0
Release:        1.dcbw%{?dist}
Summary:        Osmocom Base Station Controller for 2G CS mobile networks
License:        AGPL-3.0-or-later AND GPL-2.0-or-later

URL:            https://osmocom.org/projects/osmobsc/wiki

BuildRequires:  git gcc make autoconf automake libtool doxygen systemd-devel
BuildRequires:  cdk-devel
BuildRequires:  libosmocore-devel >= 1.10.0
BuildRequires:  libosmo-netif-devel >= 1.6.0
BuildRequires:  libosmo-abis-devel >= 2.0.0
BuildRequires:  libosmo-sigtran-devel >= 2.1.1
BuildRequires:  osmo-mgw-devel >= 1.14.0

Source0: %{name}-%{version}.tar.bz2

Requires: osmo-usergroup

%description
An Open Source BSC (GSM Base Station Controller) with A-bis/IP and A/IP interface.

%prep
%autosetup -p1


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
echo "%{version}" >.tarball-version
sed -i 's|cdk/cdk.h|cdk.h|' configure.ac
sed -i 's|cdk/cdk.h|cdk.h|' src/utils/meas_vis.c
autoreconf -fiv
%configure --enable-shared \
           --disable-static \
           --with-systemdsystemunitdir=%{_unitdir}

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;


%check
make check

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%post
%systemd_post %{name}.service

%ldconfig_scriptlets

%files
%doc README.md
%doc %{_docdir}/%{name}
%license COPYING
%{_bindir}/*
%{_unitdir}/%{name}.service
%attr(0644,root,root) %config(missingok,noreplace) %{_sysconfdir}/osmocom/%{name}.cfg


%changelog
* Sun Jun  8 2025 Dan Williams <dan@ioncontrol.co> - 1.13.0
- Update to 1.13.0

* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- git update release
